<?php
/*
Plugin Name: Simple:Press Custom User Bar
Version: 3.1.4
Plugin URI: http://www.speakoutwireless.ca
Description: Override the custom user bar
Author: Peter Keung
Author URI: http://www.speakoutwireless.ca
*/

$bst_forum = array();
// Enter the IDs of each forum, one per line in which you want to allow feedback
$bst_forum[] = 6;

if (!function_exists('sf_render_poster_details_side')) {
    function sf_render_poster_details_side($post, $posterstatus, $poster, $userposts, $postcount, $admintools, $alt)
    {
        global $sfvars, $current_user, $bst_forum;
    	# Inner poster details table
    	$out = '<table class="sfinnerusertable" cellpadding="0" cellspacing="0" border="0"><tr align="center">';

    	$out.= '<td class="sfposticonstrip '.$alt.'">'."\n";
    	$out.= '<p>'.mysql2date(SFTIMES, $post['post_date']).'<br />'.mysql2date(SFDATES, $post['post_date']).'</p>'."\n";
    	$out.= '</td></tr><tr>';

    	$out.= '<td class="'.$alt.'"><p><br /><strong>' . $poster . '</strong></p>';	
    	$out.= '<p>'.sf_render_usertype($posterstatus, $post['user_id'], $userposts).'</p></td></tr>';
    	$out.= '<tr><td class="'.$alt.'"></td></tr>';
    	$out.= '<tr align="center"><td class="'.$alt.'"><p>'.sf_attribute_escape(get_usermeta($post['user_id'], 'location')).'</p></td></tr>';
    	$out.= '<tr align="center"><td class="'.$alt.'">'.sf_render_avatar($posterstatus, $post['user_id'], $post['user_email'], $post['guest_email']).'</td></tr>'."\n";
    	$out.= '<tr><td class="'.$alt.'"></td></tr>';
    	$out.= '<tr align="center"><td class="'.$alt.'"><p>'.$postcount.'</p></td></tr>';
        
        # Let people leave feedback if they are logged in
        if (in_array($sfvars['forumid'], $bst_forum) && !$current_user->guest && !is_null($post['user_id']) && $current_user->ID != $post['user_id']) {
            $out .= '<tr align="center"><td class="'.$alt.'"><p><br /><a href="' . SFURL . '?feedback&topic=' . $sfvars['topicid'] . '&recipient=' . $post['user_id'] . '">Leave feedback</a></p></td></tr>';
        }
        
        # Let people view feedback if the poster is registered
        if (in_array($sfvars['forumid'], $bst_forum) && !is_null($post['user_id'])) {
            $out .= '<tr align="center"><td class="'.$alt.'"><p><br /><a href="' . SFURL . '?feedbackprofile&user=' . $post['user_id'] . '">View feedback</a></p><br /></td></tr>';
        }
        
    	$out.= '</tr></table>';
    	return $out;
    }
}